Bug 38124 - CGIServlet does not detect OS "windows 2003"
CGIServlet does not detect OS "windows 2003"
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Servlets:CGI
5.5.14
Other Windows Server 2003
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2006-01-04 18:48 UTC by Bob Faist
Modified: 2006-03-21 11:19 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bob Faist 2006-01-04 18:48:11 UTC
The CGIServlet needs to detect the operating system of "windows 2003".

The site that this code came from, suggests this solution to detect "windows
2000" and "windows 2003".

<                 || (OS.indexOf("windows 2000") > -1)
---
>                 || (OS.indexOf("windows 20") > -1)


http://www.rgagnon.com/javadetails/java-0150.html
Comment 1 Mark Thomas 2006-01-05 22:52:34 UTC
Fixed for TC5 and TC4.